Index: trunk/SophyaLib/SysTools/Makefile
===================================================================
--- trunk/SophyaLib/SysTools/Makefile	(revision 2743)
+++ trunk/SophyaLib/SysTools/Makefile	(revision 2751)
@@ -10,12 +10,14 @@
 	$(AR) $(ARFLAGS) $@ $? 
  
-$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h \
-  cexpre.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)cexpre.o: cexpre.cc \
+  $(SOPHYAINCP)sopnamsp.h cexpre.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)commander.o: commander.cc \
-  $(SOPHYAINCP)sopnamsp.h commander.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  commander.h \
   $(SOPHYAINCP)machdefs.h pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -30,51 +32,60 @@
   $(SOPHYAINCP)mutyv.h ctimer.h \
   $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)strutilxx.h cexpre.h \
-  rpneval.h $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)strutilxx.h \
+  cexpre.h rpneval.h \
+  $(SOPHYAINCP)srandgen.h \
   zthread.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)ctimer.o: ctimer.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h ctimer.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxcmplnk.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxcmplnk.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sopnamsp.h pdlmgr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)periodic.o: periodic.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h periodic.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  periodic.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)psighand.o: psighand.cc \
-  $(SOPHYAINCP)sopnamsp.h psighand.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  psighand.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)resusage.o: resusage.cc \
-  $(SOPHYAINCP)sopnamsp.h resusage.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  resusage.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)rpneval.o: rpneval.cc \
-  $(SOPHYAINCP)sopnamsp.h rpneval.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)zthread.o: zthread.cc \
-  $(SOPHYAINCP)sopnamsp.h zthread.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  zthread.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)timing.o: timing.c timing.h
Index: trunk/SophyaLib/SysTools/smakefile
===================================================================
--- trunk/SophyaLib/SysTools/smakefile	(revision 2743)
+++ trunk/SophyaLib/SysTools/smakefile	(revision 2751)
@@ -10,12 +10,14 @@
 	$(AR) $(ARFLAGS) $@ $? 
  
-$(SOPHYAOBJP)cexpre.o: cexpre.cc $(SOPHYAINCP)sopnamsp.h \
-  cexpre.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)cexpre.o: cexpre.cc \
+  $(SOPHYAINCP)sopnamsp.h cexpre.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)commander.o: commander.cc \
-  $(SOPHYAINCP)sopnamsp.h commander.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  commander.h \
   $(SOPHYAINCP)machdefs.h pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -30,51 +32,60 @@
   $(SOPHYAINCP)mutyv.h ctimer.h \
   $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)strutilxx.h cexpre.h \
-  rpneval.h $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)strutilxx.h \
+  cexpre.h rpneval.h \
+  $(SOPHYAINCP)srandgen.h \
   zthread.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)ctimer.o: ctimer.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)ctimer.o: ctimer.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h ctimer.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxcmplnk.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxcmplnk.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
-$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)pdlmgr.o: pdlmgr.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sopnamsp.h pdlmgr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)periodic.o: periodic.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h periodic.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)machdefs.h \
+  periodic.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)psighand.o: psighand.cc \
-  $(SOPHYAINCP)sopnamsp.h psighand.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  psighand.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)resusage.o: resusage.cc \
-  $(SOPHYAINCP)sopnamsp.h resusage.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  resusage.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)rpneval.o: rpneval.cc \
-  $(SOPHYAINCP)sopnamsp.h rpneval.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)zthread.o: zthread.cc \
-  $(SOPHYAINCP)sopnamsp.h zthread.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  zthread.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)timing.o: timing.c timing.h
